Loading...
Searching...
No Matches
mbedtls_oid_descriptor_t Struct Reference

Base OID descriptor structure. More...

`#include <oid.h>`

## Data Fields

const char * | private_asn1
size_t | private_asn1_len
const char * | private_name
const char * | private_description

## Detailed Description

Base OID descriptor structure.

Definition at line 476 of file oid.h.

## Field Documentation

## private_asn1

const char* mbedtls_oid_descriptor_t::private_asn1

OID ASN.1 representation

Definition at line 477 of file oid.h.

## private_asn1_len

size_t mbedtls_oid_descriptor_t::private_asn1_len

length of asn1

Definition at line 478 of file oid.h.

## private_description

const char* mbedtls_oid_descriptor_t::private_description

human friendly description

Definition at line 481 of file oid.h.

## private_name

const char* mbedtls_oid_descriptor_t::private_name

official name (e.g. from RFC)

Definition at line 480 of file oid.h.

The documentation for this struct was generated from the following file:

- oid.h